using System;
using System.Data;
using SK.MemberDAL;

namespace SK.MemberBLL
{
	/// <summary>
	/// PaySystem 的摘要说明。
	/// </summary>
	public class PaymentSystem
	{
		Payment payment = new Payment();
		public PaymentSystem()
		{
			//
			// TODO: 在此处添加构造函数逻辑
			//
		}
		public void Add(object MemberID,object v_amount,object v_oid,object v_pmode,object v_pstatus,
			object v_pstring,object v_moneytype,object ProductID,object PayMonth,object PayPoint,object Operate)
		{
			payment.Add(MemberID,v_amount,v_oid,v_pmode,v_pstatus,v_pstring,v_moneytype,ProductID,PayMonth,PayPoint,Operate);
		}
		public bool HasBillID(object v_oid)
		{
			return payment.HasBillID(v_oid);
		}
		public DataSet List(object PageSize,object PageIndex)
		{
			return payment.List(PageSize,PageIndex);
		}
		public int List_Count()
		{
			return payment.List_Count();
		}
		public void Delete(object PaymentID)
		{
			payment.Delete(PaymentID);
		}
	}
}
